Bug 39689 - hda: timeout waiting for DMA
hda: timeout waiting for DMA
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-08 12:21 EDT by Blue Flame
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-08 14:05:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Blue Flame 2001-05-08 12:21:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:
Sorry if this doesn't belong in this module. but couldn't find a better 
one.
After i succesfully installed RH7.1 (was running RH7.0 without problems)
during boot I get the next message several time's:
hda: timeout waiting for DMA
ide_dmaproc: chipset supported ide_dma_timeout func only: 14
hda: irq timeout: status 0x58 { DriveReady SeekComplete DataRequest }

I have disabled DMA on all my hd's and disabled standby/sleep options but 
problem still occurs.
info:
mainboard: GA-5AX (Rev 4 ) - Gigabyte - Ali Aladin V AGP Chipset
hda: Maxtor 4,3 GIG (90432D2)

How reproducible:
Always

Steps to Reproduce:
1.Turn the computer on.
2.Wait till "Welcome to Red Had Linux" appears.
3.After that it randomly comes between lines.
	

Actual Results:  hda: timeout waiting for DMA
ide_dmaproc: chipset supported ide_dma_timeout func only: 14
hda: irq timeout: status 0x58 { DriveReady SeekComplete DataRequest }


Expected Results:  no error message.

Additional info:

Same Hardware config (same computer, didn't even moved it.) used when 
running RH7.0.
Problem did not occure with RH7.0.
Comment 1 Arjan van de Ven 2001-05-08 13:28:56 EDT
Did you try passing "ide=nodma" on the lilo commandline ?
Comment 2 Blue Flame 2001-05-08 13:39:57 EDT
ok... it works now... thanx!!!!
anny explenation why it does this in RH7.1 and not in RH7.0?
Comment 3 Arjan van de Ven 2001-05-08 13:44:15 EDT
In RHL7.1, we enable DMA by default, in RHL7.0 it was disabled by default.
Can you give me the output of lspci and "cat /proc/ide/hda/model" ?
Comment 4 Blue Flame 2001-05-08 14:04:59 EDT
sure...:-)
lspci:
00:00.0 Host bridge: Acer Laboratories Inc. [ALi] M1541 (rev 04)
00:01.0 PCI bridge: Acer Laboratories Inc. [ALi] M5243 (rev 04)
00:07.0 ISA bridge: Acer Laboratories Inc. [ALi] M1533 PCI to ISA Bridge 
[Aladdin IV] (rev c3)
00:08.0 VGA compatible controller: ATI Technologies Inc 215CT [Mach64 CT] 
(rev09)
00:09.0 Ethernet controller: 3Com Corporation 3c900 Combo [Boomerang]
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139 (rev 10)
00:0f.0 IDE interface: Acer Laboratories Inc. [ALi] M5229 IDE (rev c1)

cat /proc/ide/hda/model:
Maxtor 90432D2


Comment 5 Arjan van de Ven 2001-05-10 06:32:31 EDT
Thanks for the info. I'll see if I can match this up against anything else
we got. There are some generic IDE changes in the updated kernel we are working
on, I hope we can get your problem fixed with them.

I'll close this bug as "rawhide" in the hope that this will work; once we
release an updated kernel and you still need the "ide=nodma" option, could you
please reopen this bug ?
Comment 6 Blue Flame 2001-05-10 09:29:18 EDT
ok... I'll do that...
thnx again.
Comment 7 Blue Flame 2001-05-13 07:48:55 EDT
hi.. me again.
i now get the folowing error message every hour:
EXT2-fs error (device ide0(3,65)): ext2_readdir: bad entry in directory 
#157377: directory entry across blocks - offset=40, inode=157379, rec_len=4088 
name_len=7
numbers verry every time I get the message.
I always shutdown and reboot my machine with the halt or reboot command. What 
is wrong this time??
Comment 8 Arjan van de Ven 2001-05-13 07:54:13 EDT
2 things: 
1. Can you upgrade to the latest kernel from the rawhide section
of the redhat ftp site

2. Please use "shutdown -F now" at least once to run fsck
Comment 9 Blue Flame 2001-05-13 20:41:15 EDT
Hi.... did option 2... error's reappeard after a few hours... Having trouble 
with other things too: SAMBA, sendmail and ipchains. It's all to much that 
doesn't work how it used to anymore in RH7.1. So i gave up on RH7.1 and went 
back to 7.0. (Working fine now for over 4 hours, and will work fine for months 
like it used to) Please inform me (if you want) when you release RH7.2 or 8.0. 
I'll give that a try then.
For now,
Greetz
Rogier

Note You need to log in before you can comment on or make changes to this bug.